Kaspersky
Question

KSC11 MMC Shows Plugs Must Be installed


I have recently upgrade KSC10 to KSC11 (11.0.0.1131)

On the MMC it is showing the message "plug-in(s) for Kaspersky Security Center 11 must be installed"

When I click on this message, the window "current application versions" appears but it is blank,

I have not installed the Web Console (right now our server does not have enough RAM to meet the recommended specification)

How can I install the necessary plug-ins and remove this message?

Thanks,

Paul

28 replies

Badge
Hi,

ttps://support.kaspersky.com/9333

all plugins can find on this page, many are integreated in the ksc exe.



Do you know which u need? if not, u can run a report, in this u can see which will be needed.

The reports found on starting site as a tab.
Hi Patrick,

Thanks for coming back to me. This is what I see on the main window of the MMC:



When I click on this, the following blank box appears:



If I try to change the filters, it remains blank no matter what:



It's almost as if KSC11 thinks there should be application plug-ins installed but they are not fully recognised?

Thanks,

Paul
Badge
Is it possible that your ksc dont have connection to internet?



You can click under Report ( i mean ~ kaspersky lab versions) to look which versions are installed in your company. And if u need you can download from the site:
https://support.kaspersky.com/9333

the plugins u need.
Userlevel 1

Having the same problem.  I understand what you are saying above, but the Software Versions report doesn’t show what plug-ins are needed, only what software is in use.  In my case, software in use is:

KES 11.3.0.773

KS4WS 10.1.2.996

Security Center 11.0.0.1131

Network Agent 11.0.0.1131

 

There are no specific plug-ins for Security Center or Network Agent.  The plug-ins for KES 11.3.0.773 and KS4WS 10.1.2.996 are installed, as are the iOS and Android plug-ins.  That’s it.

What other plug-in could the Security Center screen be needing?

I was told by tech support that the Download Updates problem was being caused by an old plug-in being installed, so I followed the support document and removed all of those not in use via the “uninstall string” from the registry (https://support.kaspersky.com/9303).  This error has been persisting ever since and download issue is still not resolved either.

 

Any other ideas would be greatly appreciated.

 

Best,

Guitardood

Userlevel 4
Badge +2

Hello @guitardood,
I might have found your problem - KES 11.3.0.773 is only compatible with KSC 12! You can find details in this article.

My recommendations - upgrade KSC to version 12 (I have an easy to follow guide on my YT channel here), then your KES hosts will be fully compatible :sunglasses:

 

Cheers,
Milan

Userlevel 1

Hi Milan, thanks for the suggestion.  Just as a matter of practice and experience, I’m really dead-set against installing a new product version until at least the first service pack is released.

I was able to find the missing plug-ins, some of which are not available for download, by extracting the installation package for Administration Console.  There is a sub-folder under the extracted contents called Plugins, which contains sub-folders of all KSC plug-ins available at the time of KSC11’s release.

The four I found I was missing that appear to be required, at least on my system, are: KES10SP2, MDM4IOSPlugin and MDM4ExchangePlugin and KS4WS10 (btw, those two MDM plug-ins are not available as individual downloads and appear to get installed by default with Admin Console installation).  Once these four plug-ins were installed, the warning on the main monitoring screen went away.

Best,

Guitardood

Hello,

Today I upgrade KSC11 to KSC12 (12.0.0.7734)

On the MMC it is showing the message "plug-in(s) for Kaspersky Security Center 12 must be installed"

 

When I click on this message, the window "current application versions" appears but it is blank,

 

How can I install the necessary plugins or what plugins.. How can I remove this message?
Please help me because that message is driving me crazy and I can't find a solution. 
I checked all the plugins and everything seems to be fine.
Except for that message, everything goes perfectly

Best regards,

Iulian

Userlevel 4
Badge +2

Hello @julianhave,

can you pls check Administration Server Properties:

then you can check which plug-ins and what versions you have currently installed:

Can you share printscreen with us? :)

Cheers,
Milan

Hello @julianhave,

can you pls check Administration Server Properties:

then you can check which plug-ins and what versions you have currently installed:

Can you share printscreen with us? :)

Cheers,
Milan

 

Hello @MilanBortel 

Here is the screenshot from Administration Server Properties

 

Do you have any suggestions?

Thanks,

Julian

Userlevel 4
Badge +2

Hi @julianhave,

can you also share the printscreen of your policies container? We are trying to identify whether each one of your policies has it’s plug-in:

 

Hi @julianhave,

can you also share the printscreen of your policies container? We are trying to identify whether each one of your policies has it’s plug-in:

 

 

Hi @MilanBortel 

Here is the screenshot of policies .

 

Thanks,

Userlevel 4
Badge +2

Hm.. that is really funny, since I can see only two policies and of course you have plug-ins installed for both of them ;)

 

Btw. there is patch available for KSC 12, have you already installed it? See this link for more info. It might resolve this bug..

Milan

Hm.. that is really funny, since I can see only two policies and of course you have plug-ins installed for both of them ;)

 

Btw. there is patch available for KSC 12, have you already installed it? See this link for more info. It might resolve this bug..

Milan

 

Should I just install this one?

 

Userlevel 4
Badge +2

Nope, that’s admin console installer.. you need to approve the patch installation from KSC → follow this guide:

If the patch is available, you’ll see red notification in the main administration server monitoring here:

Or you can see “Kaspersky Lab software version report” to confirm if the patch is installed or not:

 

Hi @MilanBortel 

 

Here I have ... no red notification

 

And here I have ... this..

What else should i do?

 

Thanks,

Julian

Userlevel 4
Badge +2

Ok, so you have the patch “a” installed :thinking:

Well, the only other option I can think of is - reinstalling KES plug-in. Please see this article on how to uninstall plug-ins.. You can download fresh new plug-in from here.

 

Milan

Hi @MilanBortel 

I only have four registry entries and none match what I should uninstall..:joy::joy:  I'm going crazy...:sweat_smile::sweat_smile:

 

Hi @MilanBortel 

I should uninstall this?

 

Userlevel 4
Badge +2

Hi @MilanBortel 

I should uninstall this?

 

Yes, I’d try to uninstall this one.. close KSC, restart host.. and then install new plug-in :cowboy:

Hi @MilanBortel 

Okay. I stopped KSC, I uninstalled the plug-in, I restarted the server, I installed the new plug-in provided by you, I started KSC and the result is the same

 

 

On Saturday I completely uninstalled KSC with the backup procedure (Kaspersky Backup Utility) and I restarted the server after which I reinstalled KSC and I did Restore Administration Data. and I had the same result.

Userlevel 4
Badge +2

Well, I’m afraid I’ve emptied my ideas on this problem :sweat:

 

I’d recommend to submit an incident on company portal, providing GSI report (how to) and other details (OS version, etc.):
 

Wish you luck, Julian!

Cheers,
Milan

Hi @MilanBortel 

 

I did submit a technical support request on company portal.

 

Thank you for your support.

Have a nice day,

Julian

Userlevel 1

Hi @MilanBortel 

 

I did submit a technical support request on company portal.

 

Thank you for your support.

Have a nice day,

Julian

Hi,

I had the same issue and I just found out a few minutes ago the missing plugin (at least for my case) :

  • We were missing the “Kaspersky Endpoint Security 10 Service Pack 2 for Windows” plugin. (even if we don’t use this version since quite some time now, we only have KES 11.2 and 11.4 installed)

You can download it there : https://support.kaspersky.com/9333#block8

I discovered it purely randomly because our KSC 12 is still offering KES 10SP2MR3 update (also we don’t have KES 10 installed anymore).

Hope this fixes your issue too.

I’m still looking for a way to make this version disappear from our KSC.

Sylvain

Hi @MilanBortel 

 

I did submit a technical support request on company portal.

 

Thank you for your support.

Have a nice day,

Julian

Hi,

I had the same issue and I just found out a few minutes ago the missing plugin (at least for my case) :

  • We were missing the “Kaspersky Endpoint Security 10 Service Pack 2 for Windows” plugin. (even if we don’t use this version since quite some time now, we only have KES 11.2 and 11.4 installed)

You can download it there : https://support.kaspersky.com/9333#block8

I discovered it purely randomly because our KSC 12 is still offering KES 10SP2MR3 update (also we don’t have KES 10 installed anymore).

Hope this fixes your issue too.

I’m still looking for a way to make this version disappear from our KSC.

Sylvain

 

Hi @bsylvain

Hi @MilanBortel 

To see the miracle! :astonished::scream:
With @bsylvain  instructions, the problem was solved. :rofl::rofl:

 

Thank you very much @bsylvain :thumbsup::thumbsup:

Julian

Userlevel 4
Badge +2

Hi @julianhave and @bsylvain!

I’d understand this if you had at least one machine with KES10 installed, or if you had an active policy for that product.. but for this I have no explanation :rolling_eyes:

 

Anyway, we have to take it as it is and be grateful that there is a way out :clown:

 

Take care, guys!
Milan

Reply